TransactionSingleOp.ResultList
Date: 2016-02-29

de.zib.scalaris

## Class TransactionSingleOp.ResultList

- java.lang.Object
- - de.zib.scalaris.ResultList
  - - de.zib.scalaris.TransactionSingleOp.ResultList

- Enclosing class:
    TransactionSingleOp

      public static class TransactionSingleOp.ResultList
      extends ResultList

  Encapsulates a list of results as returned by `TransactionSingleOp.req_list(RequestList)`.
  Since:
    3.5
  Version:
    3.8
  Author:
    Nico Kruber, kruber@zib.de

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processAddDelOnListAt(int pos)` Processes the result at the given position which originated from a add_del_on_list request.
    `void` | `processAddOnNrAt(int pos)` Processes the result at the given position which originated from an add_on_nr request.
    `void` | `processTestAndSetAt(int pos)` Processes the result at the given position which originated from a test_and_set request.
    `void` | `processWriteAt(int pos)` Processes the result at the given position which originated from a write request.

    - ### Methods inherited from class de.zib.scalaris.ResultList

      `get, processReadAt, size, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### processWriteAt

          public void processWriteAt(int pos)
                              throws AbortException,
                                     UnknownException

      Processes the result at the given position which originated from a write request.
      Specified by:
        `processWriteAt` in class `ResultList`
      Parameters:
        `pos` - the position in the result list (starting at 0)
      Throws:
        `AbortException` - if the commit of the write failed
        `UnknownException` - if any other error occurs

    - #### processAddDelOnListAt

          public void processAddDelOnListAt(int pos)
                                     throws NotAListException,
                                            AbortException,
                                            UnknownException

      Processes the result at the given position which originated from a add_del_on_list request.
      Specified by:
        `processAddDelOnListAt` in class `ResultList`
      Parameters:
        `pos` - the position in the result list (starting at 0)
      Throws:
        `NotAListException` - if the previously stored value was no list
        `AbortException` - if the commit of the write failed
        `UnknownException` - if any other error occurs
      Since:
        3.9

    - #### processAddOnNrAt

          public void processAddOnNrAt(int pos)
                                throws NotANumberException,
                                       AbortException,
                                       UnknownException

      Processes the result at the given position which originated from an add_on_nr request.
      Specified by:
        `processAddOnNrAt` in class `ResultList`
      Parameters:
        `pos` - the position in the result list (starting at 0)
      Throws:
        `NotANumberException` - if the previously stored value was not a number
        `AbortException` - if the commit of the write failed
        `UnknownException` - if any other error occurs
      Since:
        3.9

    - #### processTestAndSetAt

          public void processTestAndSetAt(int pos)
                                   throws NotFoundException,
                                          KeyChangedException,
                                          AbortException,
                                          UnknownException

      Processes the result at the given position which originated from a test_and_set request.
      Specified by:
        `processTestAndSetAt` in class `ResultList`
      Parameters:
        `pos` - the position in the result list (starting at 0)
      Throws:
        `NotFoundException` - if the requested key does not exist
        `KeyChangedException` - if the key did not match `old_value`
        `AbortException` - if the commit of the write failed
        `UnknownException` - if any other error occurs
      Since:
        3.8